<template>
  <b-container v-if="!$apollo.loading" class="support-item">
    <b-row class="mb-4">
      <b-col>
        <router-link :to="'/'">
          <b-icon-arrow-left></b-icon-arrow-left>
          Back to dashboard
        </router-link>
      </b-col>
    </b-row>
    <b-row class="mb-4">
      <b-col>
        <h1 class="mb-2">{{ supportPage.title }}</h1>
      </b-col>
    </b-row>
    <b-row>
      <b-col sm="8">
        <b-img v-if="supportPage.image" :src="supportPage.image" fluid class="mb-3"></b-img>
        <div class="mb-5">
          {{ supportPage.content }}
        </div>
        <router-link :to="'/'">
          <b-icon-arrow-left></b-icon-arrow-left>
          Back to dashboard
        </router-link>
      </b-col>
      <b-col sm="4">
        <div v-if="linksList.length" class="mb-4">
          <h3>Related support pages</h3>
          <LinksList :links="linksList"/>
        </div>
        <div v-if="supportPage.tooltiles.length" class="mb-4">
          <h3>Tooltiles</h3>
          <div v-for="tile in supportPage.tooltiles" :key="tile.id" class="mb-2">
            <Tooltile :tile="tile"/>
          </div>
        </div>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import supportPageQuery from '@/graphql/supportPage.query';
import LinksList from '@/components/LinksList.vue';
import Tooltile from '@/components/Tooltile.vue';

export default {
  components: {
    LinksList,
    Tooltile,
  },
  data: () => ({
    supportPage: {},
  }),
  apollo: {
    supportPage: {
      query: supportPageQuery,
      variables() {
        return {
          slug: this.$route.params.slug,
        };
      },
    },
  },
  computed: {
    linksList () {
      return this.supportPage.relatedSupportPages.map(item => ({
        id: item.slug,
        url: `/support/${item.slug}`,
        name: item.title,
      }));
    },
  },
};
</script>
